## psycopg2 2.9.9

=== doc/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.12.1
    # via sphinx
certifi>=2023.7.22
    # via requests
charset-normalizer==3.1.0
    # via requests
docutils==0.19
    # via sphinx
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
markupsafe==2.1.2
    # via jinja2
packaging==23.1
    # via sphinx
pygments==2.15.0
    # via sphinx
requests==2.31.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==6.1.3
    # via -r requirements.in
sphinx-better-theme==0.1.5
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.4
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.1
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
urllib3==1.26.17
    # via requests

=== debian/changelog ===
psycopg2 (2.9.9-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:27 +0200

psycopg2 (2.9.9-1) unstable; urgency=medium

  * New upstream version 2.9.9.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 16:21:37 +0000

=== debian/control ===
Source: psycopg2
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libpq-dev,
 postgresql,
 python3-all-dev:any,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep: python3-doc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Fabio Tranchitella <kobold@debian.org>,
 Christoph Berg <myon@debian.org>,
 Tomasz Rybak <serpent@debian.org>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg2
Homepage: http://initd.org/projects/psycopg

Package: python3-psycopg2
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-psycopg2-doc
Description: Python 3 module for PostgreSQL
 psycopg is a PostgreSQL database adapter for the Python3 programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 psycopg is different from the other database adapter because it was designed
 for heavily multi-threaded applications that create and destroy lots of
 cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
 psycopg 2 also provides full asynchronous operations for the really brave
 programmer.
 .
 The main advantages of psycopg2 are that it supports the full Python DBAPI-2.0
 and being thread safe at level 2. It also includes some extensions to the
 standard DBAPI-2.0 to allow for better thread performance.

Package: python-psycopg2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python3-psycopg2
Description: Python module for PostgreSQL (documentation package)
 psycopg is a PostgreSQL database adapter for the Python programming language
 (just like pygresql and popy.) This is version 2, a complete rewrite of the
 original code to provide new-style classes for connection and cursor objects
 and other sweet candies. Like the original, psycopg 2 was written with the
 aim of being very small and fast, and stable as a rock.
 .
 psycopg is different from the other database adapter because it was designed
 for heavily multi-threaded applications that create and destroy lots of
 cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
 psycopg 2 also provides full asynchronous operations for the really brave
 programmer.
 .
 The main advantages of psycopg2 are that it supports the full Python DBAPI-2.0
 and being thread safe at level 2. It also includes some extensions to the
 standard DBAPI-2.0 to allow for better thread performance.
 .
 This package contains the psycopg2 documentation

## psycopg2 2.9.10

=== debian/changelog ===
psycopg2 (2.9.10-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:34:13 +0000

psycopg2 (2.9.10-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:57:12 +0000

psycopg2 (2.9.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Nov 2024 16:27:31 +0000

psycopg2 (2.9.9-2) unstable; urgency=medium

  * Team upload.
  * Fix build failure with Python 3.13 (closes: #1081431).

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Sep 2024 22:37:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep: python3-doc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Fabio Tranchitella <kobold@debian.org>,
  Christoph Berg <myon@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME=psycopg2
DEFAULT_PYTHON3 = $(shell py3versions -d)
DEFAULT_BUILDIR = $(shell $(DEFAULT_PYTHON3) -c 'from distutils.command.build import build; from distutils.core import Distribution; b = build(Distribution()); b.finalize_options(); print(b.build_platlib)')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build -i
	set -e; export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) PYTHON_VERSION=3; \
	cd $(CURDIR)/doc; make src/sqlstate_errors.rst; \
	cd $(CURDIR)/doc/src; make html; \
	cd $(CURDIR)/doc/src; make text; \
	rm -f _build/text/license.txt

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq ($(DEB_HOST_ARCH),hurd-i386)
	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
	PSYCOPG2_TESTDB_HOST=localhost \
	PSYCOPG2_TESTDB=postgres \
	PSYCOPG2_TEST_FAST=1 \
	pg_virtualenv dh_auto_test
endif
endif

override_dh_auto_test-indep:

## psycopg2 2.9.11

=== debian/changelog ===
psycopg2 (2.9.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.
  * Use autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Dec 2025 13:23:43 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  libpq-dev,
  postgresql,
+ pybuild-plugin-pyproject,
  python3-all-dev:any,
  python3-setuptools,
  python3-sphinx,
@@ -15,8 +17,7 @@
  Fabio Tranchitella <kobold@debian.org>,
  Christoph Berg <myon@debian.org>,
  Tomasz Rybak <serpent@debian.org>,
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/psycopg2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/psycopg2
 Homepage: http://initd.org/projects/psycopg

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME=psycopg2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build-indep: export PYBUILD_NAME=psycopg2-doc-only
override_dh_auto_build-indep:
	dh_auto_build -i
	set -e; export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) PYTHON_VERSION=3; \
	python3 doc/src/tools/make_sqlstate_docs.py psycopg/sqlstate_errors.h > doc/src/sqlstate_errors.rst; \
	cd $(CURDIR)/doc/src; make html; \
	cd $(CURDIR)/doc/src; make text; \
	rm -f _build/text/license.txt

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq ($(DEB_HOST_ARCH),hurd-i386)
	LANG=C.UTF-8 LC_ALL=C.UTF-8 \
	PSYCOPG2_TESTDB_HOST=localhost \
	PSYCOPG2_TESTDB=postgres \
	PSYCOPG2_TEST_FAST=1 \
	pg_virtualenv dh_auto_test
endif
endif

override_dh_auto_test-indep:
